package cn.wise.sc.cement.business.util;

import cn.wise.sc.cement.business.model.PageQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2020-09-27 18:19
 **/
public class PageUtil {

    public static <T> Page<T> listConvertToPage(List<T> list, PageQuery pageQuery) {
        int start = pageQuery.getPageNo();
        int end = Math.min((start + pageQuery.getPageSize()), list.size());
        Page<T> page = new Page<>(start, pageQuery.getPageSize(), list.size());
        if (start * page.getSize() > list.size()) {
            return page;
        }
        page.setRecords(list.subList((int)(start * page.getSize()), end));
        return page;
    }
}
